Bug 632719 - SELinux is preventing init "associate" access on hugepages.
SELinux is preventing init "associate" access on hugepages.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:ccb2e656e1d...
:
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-09-10 16:07 EDT by Steve Tyler
Modified: 2010-09-25 01:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.9.5-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-25 01:38:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages.bz2 (42.35 KB, application/x-bzip)
2010-09-10 16:19 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2010-09-10 16:07:29 EDT
Summary:

SELinux is preventing init "associate" access on hugepages.

Detailed Description:

SELinux denied access requested by init. It is not expected that this access is
required by init and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:object_r:hugetlbfs_t:s0
Target Context                system_u:object_r:device_t:s0
Target Objects                hugepages [ filesystem ]
Source                        init
Source Path                   init
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.3-1.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.4-12.fc14.x86_64 #1 SMP Fri Aug
                              27 07:45:05 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Fri 10 Sep 2010 12:17:21 PM PDT
Last Seen                     Fri 10 Sep 2010 12:17:21 PM PDT
Local ID                      d63fb282-fba7-4704-8bb2-f27030b09a2a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1284146241.619:18): avc:  denied  { associate } for  pid=1 comm="init" name="hugepages" scontext=system_u:object_r:hugetlbfs_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=filesystem



Hash String generated from  catchall,init,hugetlbfs_t,device_t,filesystem,associate
audit2allow suggests:

#============= hugetlbfs_t ==============
allow hugetlbfs_t device_t:filesystem associate;
Comment 1 Steve Tyler 2010-09-10 16:19:41 EDT
Created attachment 446584 [details]
messages.bz2

This has some related log messages with the same time stamp.
F14 running on a VM.
Comment 2 Daniel Walsh 2010-09-13 10:41:44 EDT
Fixed in selinux-policy-3.9.4-1.fc14
Comment 3 Adam Williamson 2010-09-13 17:28:16 EDT
This should block final - "In most cases, there must be no SELinux 'AVC: denied' messages or abrt crash notifications on initial boot and subsequent login (see Blocker_Bug_FAQ) " (I hit this just running desktop validation tests on Beta TC1)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora Update System 2010-09-22 19:03:15 EDT
selinux-policy-3.9.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.5-3.fc14
Comment 5 Fedora Update System 2010-09-23 15:32:55 EDT
selinux-policy-3.9.5-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.5-3.fc14
Comment 6 Fedora Update System 2010-09-25 01:37:21 EDT
selinux-policy-3.9.5-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.